Error when running Android App!

0 Amogh Chittajallu · June 28, 2015
When I run my app it gives me 4 errors in the Gradle Build


1. error: type annotations are not supported in -source 1.7
(use -source 8 or higher to enable type annotations)

2. error: illegal start of expression

3. error: ';' expected

4. Error:Execution failed for task ':app:compileDebugJava'.
> Compilation failed; see the compiler error output for details.

Please help if you know what these errors mean and who to solve them.

Post a Reply

Replies

Oldest  Newest  Rating
0 ashiq sultan · June 28, 2015
It seems you are having errors in the code you typed just double click those error in the message box and it would take you to the exact line where you made the error and add the necessary symbols and remove the unnecessary symbols.
0 Ivan Nobre Vereiski · June 29, 2015
Hi there Amogh,

Should you not find the error exactly on the line the editor took you to, take a look at the lines before and after that one, maybe you forgot a ";" in a line and it made sense to the compiler (some how... probably a totally different sense that the one you intended but still ) so it throws the error in the next lines... 

if yet you did not find the error, paste you code here (formatting it with the code tool available in the forum, please ) so we can help you find it.

Best regards,
Ivan
  • 1

Java / Android Development

107,024 followers
About

Very popular language used to create desktop applications, website applets, and Android apps.

Links
Moderators
Bucky Roberts Administrator